#include "Gearhead.h"
#include "ECamperDamageState.h"

class ASurvivor;

void UGearhead::Authority_OnSurvivorHealthStateChange(ECamperDamageState oldDamageState, ECamperDamageState newDamageState)
{

}

void UGearhead::Authority_OnCamperRemoved(ASurvivor* removedPlayer)
{

}

UGearhead::UGearhead()
{
	this->_timedRevealToKillerEffect = NULL;
	this->_surviorAuraDurations = 0.000000;
	this->_perkDuration = 30.000000;
	this->_skillCheckType = ESkillCheckType::NONE;
	this->_basicAttack = true;
}
